%define fw_version 5.24

Summary:	KDE Frameworks 5 document centric plugin system module
Name:		kparts
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kconfig-devel >= %{version}
BuildRequires:	kcoreaddons-devel >= %{version}
BuildRequires:	ki18n-devel >= %{version}
BuildRequires:	kiconthemes-devel >= %{version}
BuildRequires:	kio-devel >= %{version}
BuildRequires:	kjobwidgets-devel >= %{version}
BuildRequires:	knotifications-devel >= %{version}
BuildRequires:	kservice-devel >= %{version}
BuildRequires:	ktextwidgets-devel >= %{version}
BuildRequires:	kwidgetsaddons-devel >= %{version}
BuildRequires:	kxmlgui-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 document centric plugin system module.

KParts implements the framework for KDE parts, which are elaborate widgets
with a user-interface defined in terms of actions (menu items, toolbar icons).

%files
%{_kde5_servicetypes}/*.desktop
%{_qt5_plugindir}/notepadpart.so
%{_qt5_plugindir}/spellcheckplugin.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KParts translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KParts translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5parts_major 5
%define libkf5parts %mklibname kf5parts %{kf5parts_major}

%package -n %{libkf5parts}
Summary:	KDE Frameworks 5 document centric plugin system shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5parts}
KDE Frameworks 5 document centric plugin system shared library.

%files -n %{libkf5parts}
%{_kde5_libdir}/libKF5Parts.so.%{kf5parts_major}*

#----------------------------------------------------------------------------

%define devkf5parts %mklibname kf5parts -d

%package -n %{devkf5parts}
Summary:	Development files for KDE Frameworks 5 document centric plugin system module
Group:		Development/KDE and Qt
Requires:	%{libkf5parts} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5parts-devel = %{version}

%description -n %{devkf5parts}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5parts}
%{_kde5_includedir}/KF5/KParts
%{_kde5_includedir}/KF5/kparts_version.h
%{_kde5_libdir}/cmake/KF5Parts
%{_kde5_libdir}/libKF5Parts.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (023f076) New version 5.24.0


